Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.aop.defaults
Class AopNodeBuilderDecorationDelegate

    java.lang.Object
      org.nanocontainer.aop.defaults.AopNodeBuilderDecorationDelegate

All Implemented Interfaces:
  org.nanocontainer.script.NodeBuilderDecorationDelegate

    public class AopNodeBuilderDecorationDelegate

extends Object
implements org.nanocontainer.script.NodeBuilderDecorationDelegate

Version:
  $Revision: 3144 $
Author:
  Aslak Hellesøy, Paul Hammant

Constructor Summary
`AopNodeBuilderDecorationDelegate(AspectsManager aspectsManager)`

Method Summary
`Object` | `createNode(Object name, Map attributes, Object parentElement)`
`org.picocontainer.defaults.ComponentAdapterFactory` | `decorate(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, Map attributes)`
`org.picocontainer.MutablePicoContainer` | `decorate(org.picocontainer.MutablePicoContainer picoContainer)`
`void` | `rememberComponentKey(Map attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AopNodeBuilderDecorationDelegate

    public AopNodeBuilderDecorationDelegate(AspectsManager aspectsManager)

Method Detail

### decorate

    public org.picocontainer.defaults.ComponentAdapterFactory decorate(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                                                       Map attributes)

  Specified by:
    `decorate` in interface `org.nanocontainer.script.NodeBuilderDecorationDelegate`

### decorate

    public org.picocontainer.MutablePicoContainer decorate(org.picocontainer.MutablePicoContainer picoContainer)

  Specified by:
    `decorate` in interface `org.nanocontainer.script.NodeBuilderDecorationDelegate`

### createNode

    public Object createNode(Object name,
                             Map attributes,
                             Object parentElement)

  Specified by:
    `createNode` in interface `org.nanocontainer.script.NodeBuilderDecorationDelegate`

### rememberComponentKey

    public void rememberComponentKey(Map attributes)

  Specified by:
    `rememberComponentKey` in interface `org.nanocontainer.script.NodeBuilderDecorationDelegate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.